#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	FreezeThaw - converting Perl structures to strings and back
Summary(pl.UTF-8):	FreezeThaw - konwersja struktur Perla na łańcuchy i odwrotnie
Name:		perl-FreezeThaw
Version:	0.5001
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/FreezeThaw/FreezeThaw-%{version}.tar.gz
# Source0-md5:	6314ff39384d839a7394a3bc363e149f
URL:		http://search.cpan.org/dist/FreezeThaw/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FreezeThaw module converts Perl data to/from stringified form,
appropriate for saving-to/reading-from permanent storage.

%description -l pl.UTF-8
Moduł FreezeThaw konwertuje dane Perla do/z postaci łańcuchów
tekstowych. Przydatne do zapisu na trwałym nośniku i odczycie z niego.

%prep
%setup -q -n FreezeThaw-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/FreezeThaw.pm
%{_mandir}/man3/FreezeThaw.3pm*
%changelog
* Thu Apr 13 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-FreezeThaw.git;a=log;h=master

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 4248aa2
- added URL

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6456d49
- up to 0.5001

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 52db60a
- updated to 0.45

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f9b57f
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e58084e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eac6186
- converted to UTF-8

* Sun Oct 24 2004 ankry <ankry@pld-linux.org> d15678f
- better pl

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> a3920e6
- spelling fix

* Fri May 07 2004 ankry <ankry@pld-linux.org> c1b2990
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 354ea08
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> ecb641d
- added tests

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 892fc6f
- summary/description/license fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 2cc632d
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b11ed53
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 6068a9c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1e88f37
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> e7fd7f4
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 01ef131
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> 43771a2
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 193f1e0
- massive attack: change CPAN URLs

